TechDraw Neue Projektionsgruppe (Mehrseitenansicht)

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw NewProjGroup and the translation is 54% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw NewProjGroup.png Neue Projektionsgruppe (Mehrseitenansicht)

Menüeintrag
TechDraw → Mehrseitenansicht einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Neue Ansicht, Neue Schnittansicht


Beschreibung

Das Werkzeug »Neue Projektionsgruppe« erstellt verschiedene Parallelansichten (https://de.wikipedia.org/wiki/Normalprojektion) von einem oder mehreren 3D-Objekten (Body oder Part). Optional können zusätzlich isometrische Ansichten aus verschiedenen Blickrichtungen generiert werden.

Die Verwendung von »Neue Projektionsgruppe« hat keinen Vorteil, wenn nur eine einzelne Ansicht benötigt wird, es sollte dann Neue Ansicht verwendet werden.

TechDraw ProjGroup example.png

Drei orthogonale Ansichten und eine isometrische Ansicht eines Festkörperobjekts


Anwendung

  1. Markiere eine oder mehrere Objekte (Body/Part) im 3D-Fenster oder in der Baumansicht.
  2. Wenn im Dokument mehrere Seiten vorhanden sind, muss die gewünschte Seite in der Baumansicht markiert werden.
  3. Auf die Schaltfläche Techdraw-projgroup.png Mehrseitenansicht einfügen klicken
  4. Es öffnet sich ein Dialogfenster, in dem die Ansichten der Projektionsgruppe ausgewählt werden können, sowie der Maßstab der Ansichten und deren Blickrichtung.
  5. Die Projektionsgruppe kann als Ganzes verschoben werden, indem die Hauptansicht bewegt wird. Die einzelne Ansichten sind ebenfalls verschiebbar.

TechDraw ProjGroup example.png

After you created the Projection Group you can move the group as a whole by dragging the central view. You can also move the projection views by dragging.

Eigenschaften

  • Daten-EigenschaftAnchor: Die zentrale Ansicht in der Projektionsgruppe. Normalerweise ist das die Vorderansicht.
  • Daten-EigenschaftProjectionType: Erste (europäische Darstellung) oder die dritte (amerikanische Darstellung) Projektionsmethode.
  • Daten-EigenschaftAutoDistribute: »True« – automatische Anordnung der Ansichten zueinander. »False« – Ansichten können frei positioniert werden.
  • Daten-EigenschaftspacingX: Horizontaler Abstand zwischen den Ansichten bei automatischer Anordnung.
  • Daten-EigenschaftspacingY: Vertikaler Abstand zwischen den Ansichten bei automatischer Anordnung.

Die Projektionsgruppe erbt als Ganzes X, Y, ScaleType, Scale und Rotation von der zentralen Ansicht.

Einzelne Ansichten innerhalb der Gruppe erben alle Eigenschaften der Part-Ansicht, aber das »ProjectionGroup« Objekt steuert die Größe aller seiner Elementansichten.

The RotationVector property of individual Views within the group is deprecated as of v0.19. Use XDirection instead.

Note that the central box displays the current projection direction of the primary view. It cannot be used to change the direction.

Programmierung

Das Werkzeug »Neue TechDraw-Projektionsgruppe« kann mit Makros und von der Python-Konsole aus mithilfe der folgenden Funktionen verwendet werden:

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Programming note: The Projection Group should always be added to the Page (ex. page.addView(group) before adding projections to the Group. This allows the Projection Group to use default parameter values derived from the parent page.